| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.ModelView.CellRendererCombo

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Attributes

Description

Renders a combo box in a cell

- Module available since Gtk+ version 2.6

Synopsis

data CellRendererCombo
class CellRendererTextClass o => CellRendererComboClass o
castToCellRendererCombo :: GObjectClass obj => obj -> CellRendererCombo
toCellRendererCombo :: CellRendererComboClass o => o -> CellRendererCombo
cellRendererComboNew :: IO CellRendererCombo
cellComboHasEntry :: CellRendererComboClass self => Attr self Bool
cellComboTextModel :: (TreeModelClass (model row), TypedTreeModelClass model, CellRendererComboClass self) => WriteAttr self (model row, ColumnId row String)

Detail

`CellRendererCombo` renders text in a cell like Graphics.UI.Gtk.ModelView.CellRendererText from which it is derived. But while Graphics.UI.Gtk.ModelView.CellRendererText offers a simple entry to edit the text, `CellRendererCombo` offers a Graphics.UI.Gtk.ModelView.ComboBox or Graphics.UI.Gtk.ModelView.ComboBoxEntry widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its cellTextModel property. Further cell renderers can be added in a handler for the Graphics.UI.Gtk.ModelView.CellRenderer.editingStarted signal.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererText
     |                     +----CellRendererCombo

Types
data CellRendererCombo

Instances

GObjectClass CellRendererCombo
CellRendererComboClass CellRendererCombo
CellRendererTextClass CellRendererCombo
CellRendererClass CellRendererCombo
ObjectClass CellRendererCombo

class CellRendererTextClass o => CellRendererComboClass o

Instances

CellRendererComboClass CellRendererCombo

castToCellRendererCombo :: GObjectClass obj => obj -> CellRendererCombo
toCellRendererCombo :: CellRendererComboClass o => o -> CellRendererCombo
Constructors
cellRendererComboNew :: IO CellRendererCombo
Creates a new `CellRendererCombo`. This Renderer allows for displaying a fixed set of options the user can choose from.
Attributes
cellComboHasEntry :: CellRendererComboClass self => Attr self Bool
If `True`, the cell renderer will allow the user to enter values other than the ones in the popup list. Default value: `True`
cellComboTextModel :: (TreeModelClass (model row), TypedTreeModelClass model, CellRendererComboClass self) => WriteAttr self (model row, ColumnId row String)
The tuple containing a model and a column in this model that determine the possible strings that can be shown in the combo box. Note that this tree model can be a datum in the tree model that is used to populate the view in which the `CellRendererCombo` is part of. In other words, it is possible that every `CellRendererCombo` can show a different set of options on each row.
Produced by Haddock version 2.4.2